%define pypi_name xmltodict

Name:           python-xmltodict
Version:        0.13.0
Release:        %mkrel 5
Summary:        Python to transform XML to JSON
Group:          Development/Python
License:        MIT
URL:            https://github.com/martinblech/xmltodict
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%package -n python3-%{pypi_name}
Summary:        Python3 to transform XML to JSON
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
xmltodict is a Python 3 module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xmltodict

%check
%{__python3} -m nose

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.13.0-5.mga10
+ Revision: 2239283
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.13.0-4.mga10
+ Revision: 2156344
- rebuild for python3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 0.13.0-3.mga10
+ Revision: 2031480
- rebuild again to remove old pkgs

* Sat Dec 16 2023 papoteur <papoteur> 0.13.0-2.mga10
+ Revision: 2018445
- rebuild for python 3.12

* Tue Aug 23 2022 papoteur <papoteur> 0.13.0-1.mga9
+ Revision: 1879723
- new 0.13.0

* Thu Mar 24 2022 umeabot <umeabot> 0.12.0-3.mga9
+ Revision: 1824794
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 0.12.0-2.mga9
+ Revision: 1779498
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.12.0-1.mga9
+ Revision: 1708297
- initial package python-xmltodict

